<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="referrer" content="no-referrer-when-downgrade" />
    <script src="https://accounts.google.com/gsi/client" async defer></script>
   

    <title>NewLogin</title>
</head>
<body>

    <h1>GOOGLE LOGIN:</h1>

    <div id="g_id_onload"
     data-client_id="15080929141-u3an762jr1g6hg8ha1iapav3gn65e617.apps.googleusercontent.com"
     data-context="signin"
     data-ux_mode="popup"
     data-callback="handleResponse"
     data-auto_prompt="false">
</div>

<div class="g_id_signin"
     data-type="standard"
     data-shape="rectangular"
     data-theme="outline"
     data-text="signin_with"
     data-size="large"
     data-logo_alignment="left">
</div>

<div id="info">
    <h2>profile info:</h2>
    <ul>
        <li id="fullName"></li>
        <li id="givenName"></li>
        <li id="FamilyName"></li>
        <li id="email"></li>
        <li id="vEmail"></li>
        <li id="id"></li>
        <li id="jti"></li>
    </ul>
    <h3>Profile picture:</h3>
    <img id="img" src="img" alt="picture" style="border: 3px solid black">
</div>

<script>givenName
    document.getElementById('info').style.visibility = 'hidden';

    function handleResponse(response){
        const payload = decodeJwtResponse(response.credential)
        console.log('ID: ' + payload.sub); 
        console.log('Name: ' + payload.name);
        console.log('Email: ' + payload.email); 
        console.log(payload);

        document.getElementById('fullName').innerHTML = "Full name: " + payload.name
        document.getElementById('givenName').innerHTML = "Given name: " + payload.given_name
        document.getElementById('FamilyName').innerHTML = "Family name: " + payload.family_name
        document.getElementById('email').innerHTML = "Email: " + payload.email
        document.getElementById('vEmail').innerHTML = "Email verified: " + payload.email_verified
        document.getElementById('id').innerHTML = "Google ID: " + payload.sub
        document.getElementById('jti').innerHTML = "jti: " + payload.jti
        document.getElementById('img').src = payload.picture

        document.getElementById('info').style.visibility = 'visible';

    }


function decodeJwtResponse(data){
    let tokens = data.split(".")
    return JSON.parse(atob(tokens[1]))
}
</script>
    
</body>
</html>